CAD Forums > CAD General

Scale Objects

(1/1)

Fabricio28:
Hi friends

I have two blocks and I'd like to make B just like A.

Is there any autocad command to do that? Maybe scale by reference points.

Example file attached.

Thanks

danAllen:
Align command with scale option?

Fabricio28:

--- Quote from: danAllen on July 01, 2022, 04:43:23 PM ---Align command with scale option?

--- End quote ---
Dan
Awesome!! Thanks

Fabricio

Biscuits:
Found this one years ago and I have no idea who the credit goes to.



--- Code: ---; Match scale of one block to another

(defun c:mbl ()
(setq fb (entget (car (entsel "\nSelect Block reference: ")))
fb41 (assoc 41 fb)
fb42 (assoc 42 fb)
)
(setq sb (entget (car (entsel "\nSelect target Block: ")))
sb41 (assoc 41 sb)
sb42 (assoc 42 sb)
)
(setq sb_ent (subst fb41 sb41 sb))
(entmod sb_ent)
(setq sb sb_ent)
(setq sb_ent (subst fb42 sb42 sb))
(entmod sb_ent)
(command "regen")
)
--- End code ---

Crank:
@ Biscuits:
Regen has some impact on big drawings. You better replace (command "regen") with
--- Code: ---(entupd sb_ent)
(princ)
--- End code ---
And you should localize your variables.

Navigation

[0] Message Index

Go to full version